summaryrefslogtreecommitdiff
path: root/qa/373
diff options
context:
space:
mode:
Diffstat (limited to 'qa/373')
-rwxr-xr-xqa/37348
1 files changed, 48 insertions, 0 deletions
diff --git a/qa/373 b/qa/373
new file mode 100755
index 0000000..21e9f0b
--- /dev/null
+++ b/qa/373
@@ -0,0 +1,48 @@
+#!/bin/sh
+# PCP QA Test No. 373
+#
+# iostat2pcp exerciser
+#
+# Copyright (c) 2010 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+which iostat2pcp >/dev/null 2>&1
+[ $? -eq 0 ] || _notrun "iostat2pcp not installed"
+perl -e "use Date::Parse" >/dev/null 2>&1
+[ $? -eq 0 ] || _notrun "perl Date::Parse module not installed"
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+for infile in \
+ src/iostat-t src/iostat-t.ISO \
+ src/iostat-c src/iostat-d \
+ src/iostat src/iostat-z \
+ src/iostat-d-k src/iostat-d-m src/iostat-x \
+ src/iostat-p-ALL \
+ src/iostat-z-p-ALL
+do
+ echo
+ echo "=== $infile ==="
+ rm -f $tmp.0 $tmp.index $tmp.meta
+ iostat2pcp -v $infile $tmp
+
+ if [ -f $tmp.0 ]
+ then
+ pmdumplog -z -a $tmp
+ fi
+done
+
+# success, all done
+exit
+